Bug 1284261 - Default-route doesn't get removed when disconnecting device externally (on lost carrier, unplug cable)
Default-route doesn't get removed when disconnecting device externally (on lo...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Thomas Haller
Desktop QE
:
Depends On:
Blocks: 1301628 1313485
  Show dependency treegraph
 
Reported: 2015-11-22 08:40 EST by Thomas Haller
Modified: 2016-11-03 15:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: NetworkManager-1.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 15:20:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 757587 None None None Never
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 08:08:07 EDT

  None (edit)
Description Thomas Haller 2015-11-22 08:40:51 EST
There is upstream BZ https://bugzilla.gnome.org/show_bug.cgi?id=757587, which was fixed upstream by:


master: http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=c2831875e3a2cf046f8a3b42a971172319c50e99

nm-1-0: http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=0178baea2c396b9a7a57fe11dc79c93882dffaf7



This can be easily reproduced:

  - have ignore-carrier not enabled.
  - activate a connection with default-route.
  - unplug the cable

Note that the device properly disconnects, but the default-route lingers around.
Comment 2 Thomas Haller 2016-01-10 12:06:33 EST
will be (obviously) fixed for rhel-7.3 as we rebase.
Comment 3 Mike McCune 2016-03-28 19:39:55 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Thomas Haller 2016-05-15 14:42:43 EDT
upstream patches are part of nm-1-2 and rhel-7.3 beta.
Comment 7 errata-xmlrpc 2016-11-03 15:20:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html

Note You need to log in before you can comment on or make changes to this bug.